<template>
    <div class="special">
        <special-option @query="handleQuery"></special-option>
        <special-table ref="table"></special-table>
    </div>
</template>

<script>
    import SpecialOption from './component/SpecialOption.vue'
    import SpecialTable from './component/SpecialTable.vue'

    export default {
        components: {
            SpecialOption,
            SpecialTable
        },
        methods: {
            resetForm() {
                if (this.$refs.table) {
                    this.$refs.table.resetForm()
                }
            },
            handleQuery(data) {
                if (this.$refs.table) {
                    this.$refs.table.resetForm(data)
                }
            }
        }
    }
</script>